TODO (1.20)
____
- Modification en lot
- Personnalisation export pdf
- Bouton copier-coller
- Barre d'icones cachable (prévu; il y a le mécanisme de décalage dans le code).
- Gestion mémoire !
- Génération images jukebox pdf
-- Stats pdf et images

V1.19.4 ()
_______
- Correction export table date achat vide
- Correction installateur pour suppression des anciens fichiers

V1.19.3 (30/01/2026)
_______
- Modification utilisation schellack

V1.19.2 (20/12/2025)
_______
- Changement de fournisseur de paroles

V1.19.1 (19/02/2025)
_______
- Ajout recherche code barre
- Correction d'un bug d'affichage d'image

V1.19.0 (01/10/2024)
_______
- Ajout de l'export tabulaire personnalisable
- Lors de l'import Discogs, ne pas dupliquer un album déjà présent


V1.18.8 (16/07/2023)
_______
- Préférence pour le choix du format de date
- Correction copy/paste d'images


V1.18.7 (05/06/2023)
_______
- Correction import vitesse et taille disque
- Nouvel installateur avec JRE inclue

V1.18.6 (17/01/2021)
_______
- Ajout du lieu

V1.18.5 (19/11/2021)
_______
- Correction import albums avec sous-pistes

V1.18.4 (12/02/2021)
_______
- Correction import cd multi disque
- Ajout support HDCD et DualDisc

V1.18.3 (17/01/2021)
_______
- Correction installateur suite problème détection antivirus windows

V1.18.2 (23/12/2020)
_______
- Modification accès Discogs (utilisation du token)
- Correction import de collection Discogs

V1.18.1 (13/10/2017)
_______
- Correction de l'import Discogs de la taille et du support 

V1.18.0 (30/09/2017)
_______
- Simplification accès Discogs
- Ré-organisation du code (utilisation de Maven)
- Ajout de paramètres de proxy
- Amélioration récupération des titres (Discogs et MusicBrainz)
- Import de collection Discogs
- Recherche sur couleur et pays

V1.17.1 (20/03/2016)
_______
- Correction accès Discogs

V1.17.0 (31/12/2014)
_______
- Correction export html artiste
- Nom de tri
- Bug import image Discogs
- Sauver le path lors de la sélection de fichiers
- Année de parution
- Nouvelles valeurs de cotation
- Mise à 0 des informations Discogs
- Loop other images dans l'export HTML
- Ajout de la langue Russe


V1.16.0 (22/03/2014)
_______
- Discogs calls with OAuth

V.1.15.3 (02/02/2014)
________
- Correction erreur lors de la récupération des images dans Discogs


V.1.15.2 (19/01/2014)
________
- Agrandissement des champs pré-rempi dans l'interface
- Id discogs dans un champs (non visible)
- Champs 'possédé' dans export HTML
- Ajout de l'affichage des durées par face / disque / album
- Ajout du support schellack (http://de.wikipedia.org/wiki/Schellackplatte ou http://fr.wikipedia.org/wiki/Disque_78_tours)
- Lien pour ouvrir l'album dans Discogs si l'id est renseigné (pour les anciens imports, id pris dans le commentaire...)



V.1.15.1 (29/06/2013)
________
- Création d'un fichier .bak lors de l'ouverture et de la sauvegarde.
- Correction d'un bug dans l'ajout d'album sans titre.
- Ajouter parolier dans la recherche et l'affichage.
- Ajout de VHS / BETAMAX / LASERDISC

V.1.15.0 (01/05/2013)
________
- Correction d'un bug lors de l'ouverture auto du dernier fichier s'il n'est pas dans le fichier de config.
- Suggestion des genres entrés à la main
- Suggestion des couleurs entrées à la main
- Correction import csv Discogs
- dvd et blu ray dans les support
- Edition album avec double clic
- Images multiples
- Choix de l'image principale
- Copie d'albums
- Choix "je l'ai" / "je le souhaite" pour l'album
- Info mémoire dans La fenêtre principale

V.1.14.1 (05/12/2012)
________
- Correction d'un bug lors de la sauvegarde en quittant le programme.

V.1.14.0 (02/12/2012)
________
- Import XML
- Import de fichier CSV Discogs
- Lien vers le site quand une nouvelle version est disponible
- Sauvegarde de la taille des colonnes dans la recherche Discogs
- Remise à 0 des ids lors de l'ouverture de la collection. Il n'est pas nécessaire de les sauver et ça permet d'éviter des problèmes à très long terme.
- Import de compilation discogs avec prise en charge des noms d'artiste par piste et sélection du champs compilation dans l'album. NOTE : Utilisé si l'artiste principal est 'various'.
- Raccourci "enter" dans recherche discogs
- Correction d'un bug de téléchargement
- Miniature fixe dans recherche discogs
- Ajout de logs


V1.13.0 (07/10/2012)
_______
- Suppression de l'unicité d'un album. Chacun a un id unique pour l'identifier à la place de artiste-titre-annee.
- Correction bug depuis changement format discogs

V1.12.1 (19/09/2012)
_______
- Affichage du pays lors de l'édition d'un album
- Ajout d'album depuis id Discogs
- Ajout de miniature lors de la recherche Discogs
- Récupérer taille et vitesse dans Discogs
- Correction import Discogs de CD avec 1 seul disque +  autre bug
- Ajout de l'historique d'ouverture des fichiers


V1.12 (30/08/2012)
_______
- Ajout d'un fichier lié à un titre (mp3 par exemple)
- Ajout des icones dans la liste dans tous les cas
- Correction nom export html en anglais
- Correction export html
- Correction génération fichier de configuration personnalisé quand installation en anglais
- Correction du non-redimensionnement de l'image lors de l'import avec Discogs
- Ajout des demis-étoiles
- Ajout du pays
- Ajout de la langue polonaise

V1.11.1 (28/07/2012)
_______
- Correction d'un bug avec la recherche Discogs par référence.

V1.11 (27/07/2012)
_______
- Ajout d'une interface vers discogs pour l'ajout auto d'album.
- Correction de la mise à jour de la police de caractère pour la liste d'albums (ne nécessite plus un restart)
- Passage en utf-8
- Auto-complétion genre, editeur, chef, orchestre, compositeur
- Ajout de la date d'achat 
- Ajout du parolier(lyricist)
- Choix du champs à afficher dans la colonne de gauche
- Recherche paramétrisée
- Ajout des canaux (mono, stereo) pour un disque
- Ajout d'un écran de paroles. Disponible depuis un clic droit sur un titre depuis la fenêtre principale ou l'écran de gestion des disques.

V1.10.1 (27/04/2012)
_______
- Correction d'un bug empêchant de sauver la couleur d'un disque.

V1.10.0 (26/04/2012)
_______
- Déplacement des champs vitesse, taille, couleur au niveau du disque.
- Ajout des champs compositeur et support
- Ajout de chef, orchestre, compositeur et support dans les choix pour l'arbre
- Modification de vitesse et taille des choix de l'arbre (suite au déplacement sur disque)
- Correction d'un bug lors de l'édition des pistes d'un disque (impossible à annuler)
- Ajout du choix de police de caractère dans l'écran des préférences

V1.9.3 (non deployée)
______
- Spécification de la police de caractère pour éviter les différences entre Windows, Linux et Mac (non fonctionnel)
- Correction d'un bug lors de l'export vm léger pour Android

V1.9.2 (24/02/2012)
______
- Correction d'un bug d'affichage avec des albums dont l'artiste est différent, mais dont le nom de tri est le même
    (exemple "the rolling stones" et "rolling stones" quand on utilise l'option de suppression du préfixe)
- Rafraichissement du titre de la fenêtre après validation des préférences (pour la sélection ou non de l'affichage du nombre d'album)
- Diminution de la taille de l'affichage des pistes dans la fenêtre principale
- Ajout d'une scroll bar pour les titre dans la fenêtre d'ajout/édition d'un disque
- Correction d'un bug arrivant sous certaines conditions avec l'affichage en arbre lorsque l'on utilise 'genre' ou 'taille'

V1.9.1 (09/02/2012)
______
- Ajout de l'export vers un format plus léger avec les photos redimensionnées pour le viewer android

V1.9.0 (08/02/2012)
______
- Ajout du copier-coller d'image pour les pochettes (avec clic droit)
- Ajout de l'état du disque
- Ajout des champs chef, orchestre
- Modification de l'interface d'ajout / modification de disque
- Création d'une application android pour la visualisation
- ! Les modifications apportées changent le format utilisé lors de l'import/export csv. Les anciens exports nécessiteront des modification afin de pouvoir être importés.


V1.8.0 (19/09/2011)
______
- Ajout d'un zoom pour les images.
- Ajout d'un pré-sélection lors de la saisie d'un artiste.
- Correction d'un bug lors du redimensionnement.
- Redimensionnement des éléments.
- Correction de l'affichage des artistes dans l'export html.
- Ajout option pour afficher le nombre d'albums dans la barre de titre.
- Lors de l'export CSV, ajouter une ligne même si aucun disque dans l'album, ou si les disques n'ont pas de pistes.
- Permettre aussi l'import de cette ligne avec un album sans disque.
- Modification du comportement de l'écran de gestion des disques. Une sélection ne supprime plus un titre; il faut un double-clic pour cela.


V1.7.0 (01/07/2011)
______
- Ajout de l'affichage en arbre.
- Plus d'options pour l'affichage.
- Changement de modèle afin de ne pas devoir redémarrer l'application lors de changement de certaines préférences.
- Ajout du bouton annuler dans le message d'attente.
- Correction d'un bug d'affichage sur mac.
- Déplacement du fichier de configuration pour éviter les erreurs d'écriture.

V1.6.1 (30/03/2011)
___________________
- Correction des images lors de l'export.
- Léger redimensionnement.

V1.6.0 (22/02/2011)
___________________
- Ajout de la recherche d'image depuis last.fm
- Définition du charset par défaut de l'application (ISO-8859-1). Cette modification peut entraîner des erreurs dans les caractères accentuées lors de l'import des fichiers csv créé sur un système dont la locale de base n'est pas en ISO-8859-1 avec une ancienne version de l'application. Il sera alors nécessaire de le convertir afin de pouvoir l'importer dans cette version de l'application.


V1.5.0 (31/01/2011)
__________________
- Recherche des piste des disques sur MusicBrainz
- Export en csv (compatible MS Excel)
- Import depuis un fichier csv
- Ajout d'une collection existante à la collection en cours


V1.4.1 (15/11/2010)
__________________
- Ouvrir un fichier passé en paramètre
- Bug des étoiles lors de l'ajout d'un nouvel album
- Ne pas prendre en compte la case lors du tri

V 1.4.0 (08/09/2010)
_______
- Ajout de l'option 'compilation' pour les albums
- Correction d'un bug permettant l'ajout de plusieurs albums avec le même nom, artiste et année
- Ajout du scroll sur les combo box
- Ajout de la possibilité de suppression du préfixe lors du tri
- Ajout des boutons pour choisir le sens du tri des artistes

V 1.3.0 (23/07/2010)
_______
- Ajout de l'installateur
- Ajout de l'option minimize to tray
- Modification interface disque

V 1.2.4 (31/03/2010)
_______
- Ajout de la possibilité d'entrer des durées de piste au format mm:ss ou mm.ss ou sss
- Ajout de l'export en HTML
- Correction de bugs

V 1.2.3 (12/01/2010)
_______

- Ajout de la préférence pour ne pas effectuer la vérification de dernière version au démarrage
- Ajout de la possibilité de redimensionner la fenêtre principale et celle de recherche
- Correction de bugs

V 1.2.2 (18/12/2009)
_______

- Ajout de l'aide
- Ajout d'un message de validation avant la suppression d'un album ou d'un disque
- Correction de bugs

V 1.2.1 (11/12/2009)
_______

- Ajout des champs valeur, couleur et taille pour les albums
- Suppression de la librairie jdtcore qui n'est plus utilisée
- Ajout de tooltips pour l'ajout et l'édition de disques

V 1.2
_____

- Ajout de la possibilité d'exporter en pdf

V 1.1.1
_______

- Correction d'un problème d'impossibilité d'utiliser les raccourcis claviers lors d'un retour à la fenêtre principale
- Ajout de la vérification de la dernière version de l'application


V 1.1
_____

- Utilisation de la touche 'ENTER' dans l'écran d'erreur
- Utilisation d'un modèle MVC
- Possibilité de réduire ou non les images afin de gagner de la place sur le fichier de sauvegarde.


V 1.0
_____

Version initiale